<?php
class FRMPresupuesto extends AppFormulario {
	
	protected $_url_traseditar = '/wpresupuesto/listado';
	
	public function init() {
		parent::init();
		$this->setAction('/wpresupuesto/editar/id/'.$this->getObjeto()->id);
		
		$cmp_codigoPresupuesto = new EFTexto('codigoPresupuesto');
		$cmp_codigoPresupuesto->setLabel('Codigo Presupuesto:');
		$this->addElement($cmp_codigoPresupuesto);
		$this->addElementoVista($cmp_codigoPresupuesto);				
		
		$btGuardar = new EFSubmit('guardar');
		$btGuardar->setValue('Guardar');
		$this->addElement($btGuardar);
		$this->addElementoVista($btGuardar);
		
	}
	
	public function __construct(Presupuesto $objeto, $options = null){
		$this->setObjeto($objeto);
		parent::__construct($options);
	
	}
	
}